[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Yum problem (fedora-core 2)



On Wed, 2004-05-26 at 14:12, Omri Schwarz wrote:
> Hi, all, 
> 
> I am trying to bring a Fedora Core 2 test machine (x86_64)
> to make itself a fully updated Fedora Core machine, non-test. 
> 
> Yum refuses to do it, complaining as follows:
> 
> Resolving dependencies
> .conflict between glibc-common and glibc
> conflict between glibc-common and glibc
> conflict between tzdata and glibc-common
> 
> The RPM versions are:
> # rpm -q glibc
> glibc-2.3.2-11.9
> glibc-2.3.3-18
> # rpm -q glibc-common
> glibc-common-2.3.2-11.9
> glibc-common-2.3.3-18
> # rpm -q tzdata
> tzdata-2003d-2
> 
> What can I do to get rid of this annoyance?

I'd try manually installing the latest kernel with "rpm -ivh ..." then
upgrading the files with "rpm -Uvh ..." with --force and/or --nodeps if
all else fails.  Untested, and an update at around that time killed one
of my system - had to do a fresh install - so be prepared for the worst.

You could also try an anaconda upgrade to FC2 but that is, of course,
unsupported.

Phil





[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]